Show / Hide Table of Contents

# Struct MoveableAddonInfoStruct

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: FFXIVClientStructs.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct MoveableAddonInfoStruct

### Fields

| Improve this Doc View Source

#### Flags

##### Declaration

    public int Flags

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### hudLayoutScreen

##### Declaration

    public AddonHudLayoutScreen*hudLayoutScreen

##### Field Value

Type | Description
--- | ---
AddonHudLayoutScreen* |

| Improve this Doc View Source

#### OverlayHeight

##### Declaration

    public short OverlayHeight

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### OverlayWidth

##### Declaration

    public short OverlayWidth

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### PositionHasChanged

##### Declaration

    public byte PositionHasChanged

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SelectedAtkUnit

##### Declaration

    public AtkUnitBase*SelectedAtkUnit

##### Field Value

Type | Description
--- | ---
AtkUnitBase* |

| Improve this Doc View Source

#### Slot

##### Declaration

    public byte Slot

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### XOffset

##### Declaration

    public short XOffset

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### YOffset

##### Declaration

    public short YOffset

##### Field Value

Type | Description
--- | ---
System.Int16 |